Subject: Re: bug#17526: 24.3.90; Crash in Cygwin-w32 build

From: Daniel Colascione <[email-masked]>
Date: Mon, 19 May 2014 14:47:18 -0700

On 05/19/2014 02:45 PM, Ken Brown wrote:
> On 5/19/2014 5:00 PM, Daniel Colascione wrote:
>> On 05/19/2014 12:39 PM, Eli Zaretskii wrote:
>>>> Date: Mon, 19 May 2014 15:19:24 -0400
>>>> From: Ken Brown <[email-masked]>
>>>> CC: [email-masked]
>>>>
>>>> On 5/19/2014 11:18 AM, Eli Zaretskii wrote:
>>>>>> Date: Mon, 19 May 2014 08:30:49 -0400
>>>>>> From: Ken Brown <[email-masked]>
>>>>>>
>>>>>> I just got a crash with the following backtrace:
>>
>> There goes my BLODA theory (assuming you don't have any). These crashes
>> (including the indirect-variable one) are all seemingly impossible, but
>> if there were generalized random memory corruption, I'd expect to see
>> more severe effects. I have no idea what's wrong. Both trunk and
>> emacs-24 seem to be affected: did something change in the Cygwin DLL
>> side?
> 
> Not that I know of.  By the way, all these crashes that are being
> reported are in 64-bit Cygwin, FWIW.  So it may very well be a Cygwin
> problem rather than an emacs problem.
> 
> Do you have a 64-bit Cygwin installation on which you could try to
> reproduce this?  The crashes are seemingly random.  I've occasionally
> gotten a crash a few seconds after starting emacs, but other times I've
> run emacs for days without a problem.  So you might have to wait a long
> time.  Also, I don't always get a chance to attach gdb.  In other words,
> emacs just dies with a SEGV, but apparently without calling emacs_abort.

I don't, and it'll be at least a week or so before I'm able to set one
up. Nobody's reported crashes in the X11 Emacs? What about cygw32 run
with -nw?